### Function

# FwupdPlugin kernel_get_config

#### Declaration [src]

    GHashTable*
    fu_kernel_get_config (
      void
      GError** error
    )

#### Description [src]

Loads all the kernel options into a hash table. Commented out options are not included.

Available since: | 1.8.5

#### Return value

Returns: | `GHashTable`
| Options from the kernel.
| The caller of the function takes ownership of the data container, but not the data inside it.